---
title: "Сервер времени NTP в локальной сети"
category: Linux
tags: Linux, NTP, время,
summary:
...

Если в локальной сети необходимо синхронизировать время, не имея
авторитетного источника времени, то можно использовать локальные
часы сервера в качестве базовых. В этом случае файл настройки
`/etc/ntp.conf` на сервере `192.168.0.1` будет выглядеть так:

```
driftfile /var/lib/ntp/ntp.drift
logfile /var/log/ntp.log
tinker panic 0

server 127.127.1.0 minpoll 4 maxpoll 7
fudge 127.127.1.0 stratum 8
restrict 192.168.0.0 mask 255.255.255.0
restrict default nomodify notrap
```

Файл `/etc/ntp.conf` на клиенте из подсети `192.168.0.0/24` имеет вид:

```
driftfile /var/lib/ntp/ntp.drift
logfile /var/log/ntp.log
tinker panic 0

server 127.127.1.0 minpoll 4 maxpoll 7
fudge 127.127.1.0 stratum 12
server 192.168.0.1 minpoll 4 maxpoll 7 iburst
restrict default nomodify nopeer
```

