---
title: "Git: замена адреса подмодуля"
category: Программирование
tags: программирование, git,
monofontoptions:
- Scale=0.7
...

Если у подмодуля, находящегося в каталоге `thirdparty/example` нужно
заменить адрес синхронизации и имя используемой ветки, то в каталоге
с файлом `.gitmodules`, в котором содержится информация об этом подмодуле,
нужно выполнить команды:

```sh
git config --file=.gitmodules submodule.thirdparty/example.url https://github.com/username/ABC.git
git config --file=.gitmodules submodule.thirdparty/example.branch new-branch-name
git submodule sync --recursive
git submodule update --init --recursive --remote
```

