---
title: "LyX: редактирование ЕСПД"
category: LaTeX
tags: LaTeX, текст, LyX,
summary:
...


Установить пакеты:

```sh
sudo apt-get install lyx texlive-xetex
```

Установить стили LaTeX для ЕСПД:

```
git clone https://git.246060.ru/f1x1t/latex-style-esdpx ~/texmf/tex/latex/espdx
```

Установить шаблоны для LyX:

```
git clone https://git.246060.ru:/f1x1t/lyx-layout-espdx.git ~/.lyx/layouts
```

Запустить LyX и в меню __Инструменты__ выбрать __Обновить конфигурацию__
и перезапустить программу.

Скачать [шаблон](files/espdx-template.lyx) для LyX, открыть файл
**espdx-template.lyx** и в меню выбрать __Документ / Настройки...__.
В появившемся окне нажать кнопку __Сохранить как параметры документа по умолчанию__.

Пример настройки:

![Класс документа](images/lyx-espdx/01.png)

![Модули](images/lyx-espdx/02.png)

![Шрифты](images/lyx-espdx/03.png)

![Макет текста](images/lyx-espdx/04.png)

![Макет страницы](images/lyx-espdx/05.png)

![Поля страницы](images/lyx-espdx/06.png)

![Язык](images/lyx-espdx/07.png)

![Нумерация и содержание](images/lyx-espdx/08.png)

![Библиография](images/lyx-espdx/09.png)

![Предметный указатель](images/lyx-espdx/10.png)

![Свойства PDF / Общие](images/lyx-espdx/11.png)

![Свойства PDF / Гиперссылки](images/lyx-espdx/12.png)

![Свойства PDF / Закладки](images/lyx-espdx/13.png)

![Параметры математики](images/lyx-espdx/14.png)

![Размещение плавающих объектов](images/lyx-espdx/15.png)

![Форматы](images/lyx-espdx/16.png)

![Преамбула LaTeX](images/lyx-espdx/17.png)

